Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.eindex.objects.epath
Class EPathArrayList

    java.lang.Object
      com.stc.eindex.objects.epath.EPathArrayList

All Implemented Interfaces:
  java.io.Serializable

public class EPathArrayList
extends java.lang.Object
implements java.io.Serializable

The EPathArrayList class represents an array of ePaths, which define the locations of fields in eView objects and the database. For more information about ePaths, see the eView Studio or eIndex Single Patient Identifier User's Guide.

See Also:
  Serialized Form

Constructor Summary
`EPathArrayList()` Creates a new instance of the EPathArrayList class.
`EPathArrayList(java.lang.String[] paths)` Creates a new instance of the EPathArrayList class.

Method Summary
`void` | `add(java.lang.String path)` Adds the specified ePath to an EPathArrayList object.
`void` | `add(java.lang.String[] paths)` Adds the specified list of ePaths to an EPathArrayList object.
`void` | `addUnique(EPath path)` Adds the specified ePath to an EPathArrayList object if that ePath does not already exist in the object.
`EPath` | `get(int index)` Retrieves the ePath at the specified index in an EPathArrayList object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EPathArrayList

    public EPathArrayList()

  Creates a new instance of the EPathArrayList class.

  Parameters:
    None.

### EPathArrayList

    public EPathArrayList(java.lang.String[] paths)
                   throws EPathException

  Creates a new instance of the EPathArrayList class.

  Parameters:
    `paths` - An array of ePaths defining the location of the desired fields.
  Returns:
    `void` - None.
  Throws:
    `EPathException` - Thrown if an error occurs while creating the array list.

Method Detail

### add

    public void add(java.lang.String path)
             throws EPathException

  Adds the specified ePath to an EPathArrayList object.

  Parameters:
    `path` - A string containing the ePath to add to the array list.
  Returns:
    `void` - None.
  Throws:
    `EPathException` - Thrown if an error occurs while adding the ePath to the array list.

### add

    public void add(java.lang.String[] paths)
             throws EPathException

  Adds the specified list of ePaths to an EPathArrayList object.

  Parameters:
    `paths` - A string array of ePaths to add to the array list.
  Returns:
    `void` - None.
  Throws:
    `EPathException` - Thrown if an error occurs while creating the array list.

### addUnique

    public void addUnique(EPath path)
                   throws EPathException

  Adds the specified ePath to an EPathArrayList object if that ePath does not already exist in the object.

  Parameters:
    `path` - The ePath to add to the array list.
  Returns:
    `void` - None.
  Throws:
    `EPathException` - Thrown if an error occurs while adding the ePath to the array list.

### get

    public EPath get(int index)

  Retrieves the ePath at the specified index in an EPathArrayList object.

  Parameters:
    `index` - The index of the ePath to retrieve.
  Returns:
    `EPath` - The ePath located at the specified index.
  Throws:
    None.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007 by Sun Microsystems, Inc. All Rights Reserved.